package com.ruoyi.system.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;
import java.util.TreeMap;

/**
 * 通用实体
 *
 * @author hanzihang
 * @date 2023/7/19 4:05 PM
 */
public class CommonEntity extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 基本参数Map（例如tableName，pagesize。。。）
     */
    private Map<String, Object> basicMap;

    /**
     * 查询条件Map （查询当前表的条件字段k/v）
     */
    private Map<String, Object> queryMap;

    /**
     * 条件Map（例如修改时前端回传的唯一id标识，删除同理）
     */
    private Map<String, Object> conditionMap;

    /**
     * 回传Map（得到结果返回前端）
     */
    private Map<String, Object> resultMap;

    /**
     * 通用Map(新增时，修改时存放字段k/v)
     */
    private Map<String, Object> commMap;

    /**
     * excelMap
     */
    private Map<String, Object> execlMap;


    public CommonEntity() {
    }

    public CommonEntity(Map<String, Object> basicMap, Map<String, Object> queryMap, Map<String, Object> conditionMap, Map<String, Object> resultMap, Map<String, Object> commMap, Map<String, Object> execlMap) {
        this.basicMap = basicMap;
        this.queryMap = queryMap;
        this.conditionMap = conditionMap;
        this.resultMap = resultMap;
        this.commMap = commMap;
        this.execlMap = execlMap;
    }

    @Override
    public String toString() {
        return "CommonEntity{" +
                "basicMap=" + basicMap +
                ", queryMap=" + queryMap +
                ", conditionMap=" + conditionMap +
                ", resultMap=" + resultMap +
                ", commMap=" + commMap +
                ", execlMap=" + execlMap +
                '}';
    }

    public Map<String, Object> getBasicMap() {
        return basicMap;
    }

    public void setBasicMap(Map<String, Object> basicMap) {
        this.basicMap = basicMap;
    }

    public Map<String, Object> getQueryMap() {
        return queryMap;
    }

    public void setQueryMap(Map<String, Object> queryMap) {
        this.queryMap = queryMap;
    }

    public Map<String, Object> getConditionMap() {
        return conditionMap;
    }

    public void setConditionMap(Map<String, Object> conditionMap) {
        this.conditionMap = conditionMap;
    }

    public Map<String, Object> getResultMap() {
        return resultMap;
    }

    public void setResultMap(Map<String, Object> resultMap) {
        this.resultMap = resultMap;
    }

    public Map<String, Object> getCommMap() {
        return commMap;
    }

    public void setCommMap(Map<String, Object> commMap) {
        this.commMap = commMap;
    }

    public Map<String, Object> getExeclMap() {
        return execlMap;
    }

    public void setExeclMap(Map<String, Object> execlMap) {
        this.execlMap = execlMap;
    }
}